Đến nội dung


Hình ảnh

Cho em hỏi mấy câu hỏi về Cad?


  • Please log in to reply
4 replies to this topic

#1 thichchemgio

thichchemgio

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 16 April 2008 - 12:28 PM

1) Lúc vẽ Cad, khi dim em rất mất công để chỉnh cho các đoạn dim bằng nhau (mặc dù là cùng 1 dim) tức là cùng về vị trí và các đoạn kéo dài của dim bằng nhau. Nghe bạn em bảo có Lisp Cad chỉ cần kick vào các dim là nó sẽ tự động chỉnh cho đều nhau???
2) EM vẽ bản Cad trong Model tỉ lệ 1-1 (tức là tường 220 thì vẽ 220mm trong Cad luôn) nhưng khi Scale vào tỉ lệ ví dụ là 1/50 thì lúc chỉnh trong cái bản đã Scale lại rất khó (chắc là quá bé), ko bắt được chính xác các điểm. Vậy em hỏi cách khắc phục
3) Em muốn hỏi khi mình đã có 1 file LISP rồi, muốn biết lệnh để dùng cái LISP đó thì như thế nào?
Thank các bác, mong sớm nhận được câu trả lời
  • 0

#2 gp14

gp14

    DO TUAN GIAP

  • Moderator
  • PipPipPipPipPipPipPip
  • 1860 Bài viết
Điểm đánh giá: 1120 (rất tốt)

Đã gửi 16 April 2008 - 12:44 PM

1) Lúc vẽ Cad, khi dim em rất mất công để chỉnh cho các đoạn dim bằng nhau (mặc dù là cùng 1 dim) tức là cùng về vị trí và các đoạn kéo dài của dim bằng nhau. Nghe bạn em bảo có Lisp Cad chỉ cần kick vào các dim là nó sẽ tự động chỉnh cho đều nhau???
2) EM vẽ bản Cad trong Model tỉ lệ 1-1 (tức là tường 220 thì vẽ 220mm trong Cad luôn) nhưng khi Scale vào tỉ lệ ví dụ là 1/50 thì lúc chỉnh trong cái bản đã Scale lại rất khó (chắc là quá bé), ko bắt được chính xác các điểm. Vậy em hỏi cách khắc phục
3) Em muốn hỏi khi mình đã có 1 file LISP rồi, muốn biết lệnh để dùng cái LISP đó thì như thế nào?
Thank các bác, mong sớm nhận được câu trả lời

1) bạn dùng đoạn lisp này để cắt dim lệnh là CD
(DEFUN C:cd (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI PT13I PT14I
PT13N PT14N O13 O14 N13 N14 OSM OLDERR PT10 PT11)
(SETQ CMD (GETVAR "CMDECHO"))
(SETQ OSM (GETVAR "OSMODE"))
(SETQ OLDERR *error*
*error* myerror)
(PRINC " :xin chon doi tuong kich thuoc:")
(SETQ SS (SSGET))
(SETVAR "CMDECHO" 0)
(SETQ PT (GETPOINT " :chon diem de cat hoac keo dai:"))
(SETQ PT (TRANS PT 1 0))
(COMMAND "UCS" "W")
(SETQ LTH (SSLENGTH SS))
(SETQ DEM 0)
(WHILE (< DEM LTH)
(PROGN
(SETQ DS (ENTGET (SSNAME SS DEM)))
(SETQ KDL (CDR (ASSOC 0 DS)))
(IF (= "DIMENSION" KDL)
(PROGN
(SETQ PT10 (CDR (ASSOC 10 DS)))
(SETQ PT11 (CDR (ASSOC 11 DS)))
(SETQ PT13 (CDR (ASSOC 13 DS)))
(SETQ PT14 (CDR (ASSOC 14 DS)))
(SETQ N70 (CDR (ASSOC 70 DS)))
(IF (OR (= N70 32) (= N70 33) (= N70 160) (= N70 161))
(PROGN
(SETQ GOCY (ANGLE PT10 PT14))
(SETQ GOCX (+ GOCY (/ PI 2)))
)
)
(SETVAR "OSMODE" 0)
(SETQ PTI (POLAR PT GOCX 2))
(SETQ PT13I (POLAR PT13 GOCY 2))
(SETQ PT14I (POLAR PT14 GOCY 2))
(SETQ PT13N (INTERS PT PTI PT13 PT13I NIL))
(SETQ PT14N (INTERS PT PTI PT14 PT14I NIL))
(SETQ O13 (ASSOC 13 DS))
(SETQ O14 (ASSOC 14 DS))
(SETQ N13 (CONS 13 PT13N))
(SETQ N14 (CONS 14 PT14N))
(SETQ DS (SUBST N13 O13 DS))
(SETQ DS (SUBST N14 O14 DS))

(ENTMOD DS)
)
)
(SETQ DEM (+ DEM 1))
)
)
(COMMAND "UCS" "P")
(SETVAR "CMDECHO" CMD)
(SETVAR "OSMODE" OSM)
(setq *error* OLDERR) ; Restore old *error* handler
(PRINC)
)

2) Bạn thử bỏ chế độ snap (f9)
3)Muốn biết các lệnh thì bạn chỉ việc click đúp vào file lisp đó rồi xem thôi.
  • 2

#3 Ar_Chanwoo

Ar_Chanwoo

    biết lệnh break

  • Members
  • PipPipPipPip
  • 224 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 16 April 2008 - 03:24 PM

1) Lúc vẽ Cad, khi dim em rất mất công để chỉnh cho các đoạn dim bằng nhau (mặc dù là cùng 1 dim) tức là cùng về vị trí và các đoạn kéo dài của dim bằng nhau. Nghe bạn em bảo có Lisp Cad chỉ cần kick vào các dim là nó sẽ tự động chỉnh cho đều nhau???
2) EM vẽ bản Cad trong Model tỉ lệ 1-1 (tức là tường 220 thì vẽ 220mm trong Cad luôn) nhưng khi Scale vào tỉ lệ ví dụ là 1/50 thì lúc chỉnh trong cái bản đã Scale lại rất khó (chắc là quá bé), ko bắt được chính xác các điểm. Vậy em hỏi cách khắc phục
3) Em muốn hỏi khi mình đã có 1 file LISP rồi, muốn biết lệnh để dùng cái LISP đó thì như thế nào?
Thank các bác, mong sớm nhận được câu trả lời

Bạn kích đúp vào file lisp mà xem ! toàn là text thôi mà !để biết lệnh của nó ở đâu bạn chỉ cần tìm chữ sau "defun c:" đó ;à lệnh của lisp ! ví dụ : trong dòng code " defun c:Cad" thì tên lệnh của lisp sẽ là "cad"
để tìm nhanh tên lệnh bạn chỉ việc mở file lisp ra ấn phím ctrl+F và đánh vào dòng find là defun c: là đc !
  • 1

#4 MANHHUNGXDA

MANHHUNGXDA

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 926 Bài viết
Điểm đánh giá: 458 (tốt)

Đã gửi 16 April 2008 - 04:40 PM

[quote name='thichchemgio' date='Apr 16 2008, 12:28 PM' post='16611']
.......
2) EM vẽ bản Cad trong Model tỉ lệ 1-1 (tức là tường 220 thì vẽ 220mm trong Cad luôn) nhưng khi Scale vào tỉ lệ ví dụ là 1/50 thì lúc chỉnh trong cái bản đã Scale lại rất khó (chắc là quá bé), ko bắt được chính xác các điểm. Vậy em hỏi cách khắc phục
..................

Re.
Bạn bỏ chế độ luới đi (ấn vào F9)
  • 1
Hãy ước cho trọn 1 ước mơ!

#5 thichchemgio

thichchemgio

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 16 April 2008 - 07:59 PM

Em cảm ơn các anh, em đã ấn thank tất cả mọi người rồi đấy (mọi người tốt bụng quá hì hì)
  • 0